<?php

/*
 * @author     M2E Pro Developers Team
 * @copyright  2011-2016 ESS-UA [M2E Pro]
 * @license    Commercial use is forbidden
 */

class Ess_M2eProUpdater_Block_Adminhtml_Configuration_Field_Settings_Notification
    extends Ess_M2eProUpdater_Block_Adminhtml_Configuration_Field_Abstract
{
    //########################################

    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element)
    {
        /** @var Ess_M2eProUpdater_Helper_Config $helper */
        $helper = Mage::helper('M2eProUpdater/Config');

        $element->setValues(
            array(
                array(
                    'label' => $helper->__('Do Not Notify'),
                    'value' => Ess_M2eProUpdater_Helper_Config::NOTIFICATIONS_DISABLED
                ),
                array(
                    'label' => $helper->__('On each Extension Page'),
                    'value' => Ess_M2eProUpdater_Helper_Config::NOTIFICATIONS_EXTENSION_PAGES
                ),
                array(
                    'label' => $helper->__('On each Magento Page'),
                    'value' => Ess_M2eProUpdater_Helper_Config::NOTIFICATIONS_MAGENTO_PAGES
                ),
                array(
                    'label' => $helper->__('As Magento System Notification'),
                    'value' => Ess_M2eProUpdater_Helper_Config::NOTIFICATIONS_MAGENTO_SYSTEM_NOTIFICATION
                )
            )
        );
        $element->setValue($helper->getNotificationType());

        return parent::_getElementHtml($element);
    }

    //########################################
}